%define name	checkservice
%define version	1.1.0
%define release	3rph

Summary:	Checks the status of services on (remote) hosts
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://www.linvision.com/checkservice/
Source:		http://www.linvision.com/checkservice/files/checkservice-1.1.0.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}
Requires:	perl
Packager:	Vincent Danen <vdanen@mandrakesoft.com>

%description
Checkservice is able to show the results in many ways: by keeping logs or 
showing it on a PHP3 webinterface. Checkservice can also generate output 
suitable for MRTG. 

Checkservices uses plugins to check the service more thoroughly than just a 
portscan.

%prep
%setup -q

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/{checkservice,cron.d}
mkdir -p %{buildroot}%{_libdir}/{perl5/site_perl,checkservice}
mkdir -p %{buildroot}%{_mandir}/man{1,5}
mkdir -p %{buildroot}/var/{log,lock,cache}/checkservice

cp -a config/* %{buildroot}%{_sysconfdir}/checkservice/

cp checkservice %{buildroot}%{_sbindir}
cp -a plugins/* %{buildroot}%{_libdir}/checkservice/
cp opensocket.pl %{buildroot}%{_libdir}/perl5/site_perl
cp cron/checkservice  %{buildroot}%{_sysconfdir}/cron.d/
cp man/checkservice.1 %{buildroot}%{_mandir}/man1/
cp man/checkservice.5 %{buildroot}%{_mandir}/man5/

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files 
%defattr(-, root, root)
%doc COPYING CREDITS README INSTALL ChangeLog checkservice.php3
%config(noreplace) %{_sysconfdir}/checkservice/hosts/localhost 
%config(noreplace) %{_sysconfdir}/checkservice/plugins/sms.conf
%config(noreplace) %{_sysconfdir}/checkservice/checkservice.conf 
%config(noreplace) %{_sysconfdir}/checkservice/statuspage.conf
%config(noreplace) %{_sysconfdir}/checkservice/failed.mail
%config(noreplace) %{_sysconfdir}/checkservice/unreachable.mail
%config(noreplace) %{_sysconfdir}/checkservice/timeout.mail
%config(noreplace) %{_sysconfdir}/cron.d/checkservice
%dir /var/log/checkservice
%dir /var/lock/checkservice
%dir /var/cache/checkservice
%{_sbindir}/checkservice
%{_libdir}/checkservice/*
%{_libdir}/perl5/site_perl/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%changelog
* Mon Apr 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.1.0-3rph
- rebuild with rph extension
- s/Copyright/License/

* Mon Oct 22 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.1.0-2mdk
- fixed silly location of opensocket.pl which made checkservice fail
  every test

* Mon Oct 22 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.1.0-1mdk
- first Mandrake package
